import angular from 'angular';
import { react2angular } from 'react2angular';
import { ProductsService } from './products.factory';
import { ProductEdit } from '../../../pages/catalog/products/edit';
import { ProductCreate } from '../../../pages/catalog/products/create';
import { ReviewsService } from './reviews/reviews.factory';
import { ReviewsIndex } from '../../../pages/catalog/products/reviews';
import { ReviewEdit } from '../../../pages/catalog/products/reviews/edit';
import { CopyToNewProduct } from './copy-to-new-product';
import { ProductDetails } from './product-details';
import { ProductImages } from './product-images';

export const ProductsModule = angular
	.module('ProductsModule', [])
	.factory('Reviews', ReviewsService)
	.factory('Products', ProductsService)
	.component('productEdit', ProductEdit)
	.component('productCreate', ProductCreate)
	.component('reviewsIndex', ReviewsIndex)
	.component('reviewEdit', ReviewEdit)
	.component('copyToNewProduct', react2angular(CopyToNewProduct))
	.component('productDetails', react2angular(ProductDetails))
	.component('productImages', react2angular(ProductImages)).name;
