declare const localized: any;
export class PromoCodesService {
	static $inject: string[] = ['$http', 'Localized'];
	private apiRoot = `${localized.apiURL}/admin/promo-codes`;
	private $http: ng.IHttpService;
	private Localized: any;

	constructor($http: ng.IHttpService, Localized: any) {
		this.$http = $http;
		this.Localized = Localized;
	}

	delete(id: number) {
		return this.$http.delete(`${this.apiRoot}/${id}`).then(() => {});
	}

	get(id: number) {
		return this.$http
			.get(`${this.apiRoot}/${id}`)
			.then((response: { data: any }) => {
				if (!response.data.errors.length) {
					return response.data;
				}
			});
	}

	query(params?: { string: string }) {
		return this.$http
			.get(this.apiRoot, { params })
			.then((response: any) => {
				if (!response.data.errors.length) {
					return response.data;
				}
			});
	}

	save(data: { string: string }) {
		return this.$http
			.post(this.apiRoot, data)
			.then((response: { data: any }) => {
				return response.data;
			});
	}

	update(id: number, data: { string: string }) {
		return this.$http.put(`${this.apiRoot}/${id}`, data).then(() => {});
	}
}
