export function emailsDataFactory() {
	const shipmentOptions = [
		{ name: 'Site Name', value: '%[site-name]%' },
		{ name: 'Customer Name', value: '%[customer-name]%' },
		{ name: 'Shipping Name', value: '%[shipping-name]%' },
		{ name: 'Shipping Address 1', value: '%[shipping-address1]%' },
		{ name: 'Shipping Address 2', value: '%[shipping-address2]%' },
		{ name: 'Shipping City', value: '%[shipping-city]%' },
		{ name: 'Shipping State', value: '%[shipping-state]%' },
		{ name: 'Shipping Zip', value: '%[shipping-zip]%' },
		{ name: 'Shipping Phone', value: '%[shipping-phone]%' },
		{ name: 'Shipping Email', value: '%[shipping-email]%' },
		{ name: 'Payment Method', value: '%[payment-method]%' },
		{ name: 'Subtotal', value: '%[subtotal]%' },
		{ name: 'Shipping Total', value: '%[shipping-total]%' },
		{ name: 'Tax Rate', value: '%[tax-rate]%' },
		{ name: 'Tax Total', value: '%[tax-total]%' },
		{ name: 'Total', value: '%[total]%' },
		{ name: 'Billing Name', value: '%[billing-name]%' },
		{ name: 'Billing Address 1', value: '%[billing-address1]%' },
		{ name: 'Billing Address 2', value: '%[billing-address2]%' },
		{ name: 'Billing City', value: '%[billing-city]%' },
		{ name: 'Billing State', value: '%[billing-state]%' },
		{ name: 'Billing Zip', value: '%[billing-zip]%' },
		{ name: 'Billing Email', value: '%[billing-email]%' },
		{ name: 'Billing Phone', value: '%[billing-phone]%' },
		{ name: 'First Name', value: '%[first-name]%' },
		{ name: 'Last Name', value: '%[last-name]%' },
		{ name: 'Cost Center Code', value: '%[cost-center-code]%' },
		{ name: 'Purchase Order', value: '%[purchase-order]%' },
		{ name: 'Issuing Office', value: '%[issuing-office]%' },
		{ name: 'Notes', value: '%[notes]%' },
		{ name: 'Organization', value: '%[organization]%' },
		{ name: 'Attention', value: '%[attention]%' },
		{ name: 'Approver', value: '%[approver]%' },
		{ name: 'Approver Notes', value: '%[approver-notes]%' },
		{ name: 'Promotion Discount', value: '%[promo-discount]%' },
		{ name: 'EBT Discount', value: '%[ebt-discount]%' },
		{ name: 'F1 Name', value: '%[f1-name]%' },
		{ name: 'F1 valueue', value: '%[f1-name]%' },
		{ name: 'F2 Name', value: '%[f2-name]%' },
		{ name: 'F2 value', value: '%[f2-name]%' },
		{ name: 'F3 Name', value: '%[f3-name]%' },
		{ name: 'F3 value', value: '%[f3-name]%' },
		{ name: 'F4 Name', value: '%[f4-name]%' },
		{ name: 'F4 value', value: '%[f4-name]%' },
		{ name: 'F5 Name', value: '%[f5-name]%' },
		{ name: 'F5 value', value: '%[f5-name]%' },
		{ name: 'F6 Name', value: '%[f6-name]%' },
		{ name: 'F6 value', value: '%[f6-name]%' },
		{ name: 'RMA Purchase ID', value: '%[rma-purchase-id]%' },
		{ name: 'RMA Product ID', value: '%[rma-product-id]%' },
		{ name: 'RMA Sku', value: '%[rma-sku]%' },
		{ name: 'RMA Description', value: '%[rma-description]%' },
		{ name: 'RMA Purchase Date', value: '%[rma-purchase-date]%' },
		{ name: 'RMA Reason', value: '%[rma-reason]%' },
		{ name: 'RMA Quantity', value: '%[rma-quantity]%' },
		{ name: 'RMA Email', value: '%[rma-email]%' },
		{ name: 'RMA Notes', value: '%[rma-notes]%' },
		{ name: 'RMA Id', value: '%[rma-id]%' },
		{ name: 'Shipping Date', value: '%[shipping-date]%' },
		{ name: 'Shipping Carrier', value: '%[shipping-carrier]%' },
		{ name: 'Shipping Code', value: '%[shipping-code]%' },
		{ name: 'Order Date', value: '%[order-date]%' },
		{ name: 'Shipping Id', value: '%[shipping-id]%' },
	];
	const shipmentConditionals = [
		{ name: 'Site Name', value: '%{[site-name] %[site-name]% }%' },
		{
			name: 'Customer Name',
			value: '%{[customer-name] %[customer-name]% }%',
		},
		{
			name: 'Shipping Name',
			value: '%{[shipping-name] %[shipping-name]% }%',
		},
		{
			name: 'Shipping Address 1',
			value: '%{[shipping-address1] %[shipping-address1]% }%',
		},
		{
			name: 'Shipping Address 2',
			value: '%{[shipping-address2] %[shipping-address2]% }%',
		},
		{
			name: 'Shipping City',
			value: '%{[shipping-city] %[shipping-city]% }%',
		},
		{
			name: 'Shipping State',
			value: '%{[shipping-state] %[shipping-state]% }%',
		},
		{ name: 'Shipping Zip', value: '%{[shipping-zip] %[shipping-zip]% }%' },
		{
			name: 'Shipping Phone',
			value: '%{[shipping-phone] %[shipping-phone]% }%',
		},
		{
			name: 'Shipping Email',
			value: '%{[shipping-email] %[shipping-email]% }%',
		},
		{
			name: 'Payment Method',
			value: '%{[payment-method] %[payment-method]% }%',
		},
		{ name: 'Subtotal', value: '%{[subtotal] %[subtotal]% }%' },
		{
			name: 'Shipping Total',
			value: '%{[shipping-total] %[shipping-total]% }%',
		},
		{ name: 'Tax Rate', value: '%{[tax-rate] %[tax-rate]% }%' },
		{ name: 'Tax Total', value: '%{[tax-total] %[tax-total]% }%' },
		{ name: 'Total', value: '%{[total] %[total]% }%' },
		{ name: 'Billing Name', value: '%{[billing-name] %[billing-name]% }%' },
		{
			name: 'Billing Address 1',
			value: '%{[billing-address1] %[billing-address1]% }%',
		},
		{
			name: 'Billing Address 2',
			value: '%{[billing-address2] %[billing-address2]% }%',
		},
		{ name: 'Billing City', value: '%{[billing-city] %[billing-city]% }%' },
		{
			name: 'Billing State',
			value: '%{[billing-state] %[billing-state]% }%',
		},
		{ name: 'Billing Zip', value: '%{[billing-zip] %[billing-zip]% }%' },
		{
			name: 'Billing Email',
			value: '%{[billing-email] %[billing-email]% }%',
		},
		{
			name: 'Billing Phone',
			value: '%{[billing-phone] %[billing-phone]% }%',
		},
		{ name: 'First Name', value: '%{[first-name] %[first-name]% }%' },
		{ name: 'Last Name', value: '%{[last-name] %[last-name]% }%' },
		{
			name: 'Cost Center Code',
			value: '%{[cost-center-code] %[cost-center-code]% }%',
		},
		{
			name: 'Purchase Order',
			value: '%{[purchase-order] %[purchase-order]% }%',
		},
		{
			name: 'Issuing Office',
			value: '%{[issuing-office] %[issuing-office]% }%',
		},
		{ name: 'Notes', value: '%{[notes] %[notes]% }%' },
		{ name: 'Organization', value: '%{[organization] %[organization]% }%' },
		{ name: 'Attention', value: '%{[attention] %[attention]% }%' },
		{ name: 'Approver', value: '%{[approver] %[approver]% }%' },
		{
			name: 'Approver Notes',
			value: '%{[approver-notes] %[approver-notes]% }%',
		},
		{
			name: 'Promotion Discount',
			value: '%{[promo-discount] %[promo-discount]% }%',
		},
		{ name: 'EBT Discount', value: '%{[ebt-discount] %[ebt-discount]% }%' },
		{ name: 'F1 Name', value: '%{[f1-name] %[f1-name]% }%' },
		{ name: 'F1 value', value: '%{[f1-value] %[f1-value]% }%' },
		{ name: 'F2 Name', value: '%{[f2-name] %[f2-name]% }%' },
		{ name: 'F2 value', value: '%{[f2-value] %[f2-value]% }%' },
		{ name: 'F3 Name', value: '%{[f3-name] %[f3-name]% }%' },
		{ name: 'F3 value', value: '%{[f3-value] %[f3-value]% }%' },
		{ name: 'F4 Name', value: '%{[f4-name] %[f4-name]% }%' },
		{ name: 'F4 value', value: '%{[f4-value] %[f4-value]% }%' },
		{ name: 'F5 Name', value: '%{[f5-name] %[f5-name]% }%' },
		{ name: 'F5 value', value: '%{[f5-value] %[f5-value]% }%' },
		{ name: 'F6 Name', value: '%{[f6-name] %[f6-name]% }%' },
		{ name: 'F6 value', value: '%{[f6-value] %[f6-value]% }%' },
		{
			name: 'RMA Purchase ID',
			value: '%{[rma-purchase-id] %[rma-purchase-id]% }%',
		},
		{
			name: 'RMA Product ID',
			value: '%{[rma-product-id] %[rma-product-id]% }%',
		},
		{ name: 'RMA Sku', value: '%{[rma-sku] %[rma-sku]% }%' },
		{
			name: 'RMA Description',
			value: '%{[rma-description] %[rma-description]% }%',
		},
		{
			name: 'RMA Purchase Date',
			value: '%{[rma-purchase-date] %[rma-purchase-date]% }%',
		},
		{ name: 'RMA Reason', value: '%{[rma-reason] %[rma-reason]% }%' },
		{ name: 'RMA Quantity', value: '%{[rma-quantity] %[rma-quantity]% }%' },
		{ name: 'RMA Email', value: '%{[rma-email] %[rma-email]% }%' },
		{ name: 'RMA Notes', value: '%{[rma-notes] %[rma-notes]% }%' },
		{ name: 'RMA Id', value: '%{[rma-id] %[rma-id]% }%' },
		{
			name: 'Shipping Date',
			value: '%{[shipping-date] %[shipping-date]% }%',
		},
		{
			name: 'Shipping Carrier',
			value: '%{[shipping-carrier] %[shipping-carrier]% }%',
		},
		{
			name: 'Shipping Code',
			value: '%{[shipping-code] %[shipping-code]% }%',
		},
		{ name: 'Order Date', value: '%{[order-date] %[order-date]% }%' },
		{ name: 'Shipping Id', value: '%{[shipping-id] %[shipping-id]% }%' },
	];
	const checkoutOptions = [
		{ name: 'Site Name', value: '%[site-name]%' },
		{ name: 'Customer Name', value: '%[customer-name]%' },
		{ name: 'Shipping Name', value: '%[shipping-name]%' },
		{ name: 'Shipping Address 1', value: '%[shipping-address1]%' },
		{ name: 'Shipping Address 2', value: '%[shipping-address2]%' },
		{ name: 'Shipping City', value: '%[shipping-city]%' },
		{ name: 'Shipping State', value: '%[shipping-state]%' },
		{ name: 'Shipping Zip', value: '%[shipping-zip]%' },
		{ name: 'Shipping Phone', value: '%[shipping-phone]%' },
		{ name: 'Shipping Email', value: '%[shipping-email]%' },
		{ name: 'Payment Method', value: '%[payment-method]%' },
		{ name: 'Subtotal', value: '%[subtotal]%' },
		{ name: 'Shipping Total', value: '%[shipping-total]%' },
		{ name: 'Tax Rate', value: '%[tax-rate]%' },
		{ name: 'Tax Total', value: '%[tax-total]%' },
		{ name: 'Total', value: '%[total]%' },
		{ name: 'Billing Name', value: '%[billing-name]%' },
		{ name: 'Billing Address 1', value: '%[billing-address1]%' },
		{ name: 'Billing Address 2', value: '%[billing-address2]%' },
		{ name: 'Billing City', value: '%[billing-city]%' },
		{ name: 'Billing State', value: '%[billing-state]%' },
		{ name: 'Billing Zip', value: '%[billing-zip]%' },
		{ name: 'Billing Email', value: '%[billing-email]%' },
		{ name: 'Billing Phone', value: '%[billing-phone]%' },
		{ name: 'First Name', value: '%[first-name]%' },
		{ name: 'Last Name', value: '%[last-name]%' },
		{ name: 'Cost Center Code', value: '%[cost-center-code]%' },
		{ name: 'Purchase Order', value: '%[purchase-order]%' },
		{ name: 'Issuing Office', value: '%[issuing-office]%' },
		{ name: 'Notes', value: '%[notes]%' },
		{ name: 'Organization', value: '%[organization]%' },
		{ name: 'Attention', value: '%[attention]%' },
		{ name: 'Approver', value: '%[approver]%' },
		{ name: 'Approver Notes', value: '%[approver-notes]%' },
		{ name: 'Promotion Discount', value: '%[promo-discount]%' },
		{ name: 'EBT Discount', value: '%[ebt-discount]%' },
		{ name: 'F1 Name', value: '%[f1-name]%' },
		{ name: 'F1 valueue', value: '%[f1-name]%' },
		{ name: 'F2 Name', value: '%[f2-name]%' },
		{ name: 'F2 value', value: '%[f2-name]%' },
		{ name: 'F3 Name', value: '%[f3-name]%' },
		{ name: 'F3 value', value: '%[f3-name]%' },
		{ name: 'F4 Name', value: '%[f4-name]%' },
		{ name: 'F4 value', value: '%[f4-name]%' },
		{ name: 'F5 Name', value: '%[f5-name]%' },
		{ name: 'F5 value', value: '%[f5-name]%' },
		{ name: 'F6 Name', value: '%[f6-name]%' },
		{ name: 'F6 value', value: '%[f6-name]%' },
		{ name: 'Order Date', value: '%[order-date]%' },
	];
	const checkoutConditionals = [
		{ name: 'Site Name', value: '%{[site-name] %[site-name]% }%' },
		{
			name: 'Customer Name',
			value: '%{[customer-name] %[customer-name]% }%',
		},
		{
			name: 'Shipping Name',
			value: '%{[shipping-name] %[shipping-name]% }%',
		},
		{
			name: 'Shipping Address 1',
			value: '%{[shipping-address1] %[shipping-address1]% }%',
		},
		{
			name: 'Shipping Address 2',
			value: '%{[shipping-address2] %[shipping-address2]% }%',
		},
		{
			name: 'Shipping City',
			value: '%{[shipping-city] %[shipping-city]% }%',
		},
		{
			name: 'Shipping State',
			value: '%{[shipping-state] %[shipping-state]% }%',
		},
		{ name: 'Shipping Zip', value: '%{[shipping-zip] %[shipping-zip]% }%' },
		{
			name: 'Shipping Phone',
			value: '%{[shipping-phone] %[shipping-phone]% }%',
		},
		{
			name: 'Shipping Email',
			value: '%{[shipping-email] %[shipping-email]% }%',
		},
		{
			name: 'Payment Method',
			value: '%{[payment-method] %[payment-method]% }%',
		},
		{ name: 'Subtotal', value: '%{[subtotal] %[subtotal]% }%' },
		{
			name: 'Shipping Total',
			value: '%{[shipping-total] %[shipping-total]% }%',
		},
		{ name: 'Tax Rate', value: '%{[tax-rate] %[tax-rate]% }%' },
		{ name: 'Tax Total', value: '%{[tax-total] %[tax-total]% }%' },
		{ name: 'Total', value: '%{[total] %[total]% }%' },
		{ name: 'Billing Name', value: '%{[billing-name] %[billing-name]% }%' },
		{
			name: 'Billing Address 1',
			value: '%{[billing-address1] %[billing-address1]% }%',
		},
		{
			name: 'Billing Address 2',
			value: '%{[billing-address2] %[billing-address2]% }%',
		},
		{ name: 'Billing City', value: '%{[billing-city] %[billing-city]% }%' },
		{
			name: 'Billing State',
			value: '%{[billing-state] %[billing-state]% }%',
		},
		{ name: 'Billing Zip', value: '%{[billing-zip] %[billing-zip]% }%' },
		{
			name: 'Billing Email',
			value: '%{[billing-email] %[billing-email]% }%',
		},
		{
			name: 'Billing Phone',
			value: '%{[billing-phone] %[billing-phone]% }%',
		},
		{ name: 'First Name', value: '%{[first-name] %[first-name]% }%' },
		{ name: 'Last Name', value: '%{[last-name] %[last-name]% }%' },
		{
			name: 'Cost Center Code',
			value: '%{[cost-center-code] %[cost-center-code]% }%',
		},
		{
			name: 'Purchase Order',
			value: '%{[purchase-order] %[purchase-order]% }%',
		},
		{
			name: 'Issuing Office',
			value: '%{[issuing-office] %[issuing-office]% }%',
		},
		{ name: 'Notes', value: '%{[notes] %[notes]% }%' },
		{ name: 'Organization', value: '%{[organization] %[organization]% }%' },
		{ name: 'Attention', value: '%{[attention] %[attention]% }%' },
		{ name: 'Approver', value: '%{[approver] %[approver]% }%' },
		{
			name: 'Approver Notes',
			value: '%{[approver-notes] %[approver-notes]% }%',
		},
		{
			name: 'Promotion Discount',
			value: '%{[promo-discount] %[promo-discount]% }%',
		},
		{ name: 'EBT Discount', value: '%{[ebt-discount] %[ebt-discount]% }%' },
		{ name: 'F1 Name', value: '%{[f1-name] %[f1-name]% }%' },
		{ name: 'F1 value', value: '%{[f1-value] %[f1-value]% }%' },
		{ name: 'F2 Name', value: '%{[f2-name] %[f2-name]% }%' },
		{ name: 'F2 value', value: '%{[f2-value] %[f2-value]% }%' },
		{ name: 'F3 Name', value: '%{[f3-name] %[f3-name]% }%' },
		{ name: 'F3 value', value: '%{[f3-value] %[f3-value]% }%' },
		{ name: 'F4 Name', value: '%{[f4-name] %[f4-name]% }%' },
		{ name: 'F4 value', value: '%{[f4-value] %[f4-value]% }%' },
		{ name: 'F5 Name', value: '%{[f5-name] %[f5-name]% }%' },
		{ name: 'F5 value', value: '%{[f5-value] %[f5-value]% }%' },
		{ name: 'F6 Name', value: '%{[f6-name] %[f6-name]% }%' },
		{ name: 'F6 value', value: '%{[f6-value] %[f6-value]% }%' },
		{ name: 'Order Date', value: '%{[order-date] %[order-date]% }%' },
	];
	const registerOptions = [
		{ name: 'Customer Name', value: '%[registration-name]%' },
		{ name: 'Site Name', value: '%[site-name]%' },
	];
	const rmaOptions = [
		{ name: 'RMA Purchase ID', value: '%[rma-purchase-id]%' },
		{ name: 'RMA Product ID', value: '%[rma-product-id]%' },
		{ name: 'RMA SKU', value: '%[rma-sku]%' },
		{ name: 'RMA Description', value: '%[rma-description]%' },
		{ name: 'RMA Purchase Date', value: '%[rma-purchase-date]%' },
		{ name: 'RMA Reason', value: '%[rma-reason]%' },
		{ name: 'RMA Quantity', value: '%[rma-quantity]%' },
		{ name: 'RMA Contact', value: '%[rma-contact]%' },
		{ name: 'RMA Notes', value: '%[rma-notes]%' },
		{ name: 'RMA Request Date', value: '%[rma-request-date]%' },
		{ name: 'RMA Status', value: '%[rma-status]%' },
	];

	const service = {
		dataEmail() {
			const data = {
				shipmentOptions,
				shipmentConditionals,
				checkoutOptions,
				checkoutConditionals,
				registerOptions,
				rmaOptions,
			};
			return data;
		},
	};
	return service;
}
