import angular from 'angular';
import { catalogService } from './catalog.factory';
import { CatalogCategoriesList } from './catalog-categories-list/catalog-categories-list.component';
import { CatalogSubcategoriesComponent } from './catalog-subcategories/catalog-subcategories.component';
import { CatalogFacetList } from './catalog-facet-list/catalog-facet-list.component';
import { CatalogFilters } from './catalog-filters/catalog-filters.component';
import { CatalogAttributesListItem } from './catalog-attributes-list/catalog-attributes-list-item.component';
import { CatalogAttributesList } from './catalog-attributes-list/catalog-attributes-list.component';
import { CatalogResults } from './catalog-results/catalog-results.component';

export const CatalogModule = angular
	.module('CatalogModule', [])
	.factory('catalogService', catalogService)
	.component('catalogAttributesListItem', CatalogAttributesListItem)
	.component('catalogAttributesList', CatalogAttributesList)
	.component('catalogCategoriesList', CatalogCategoriesList)
	.component('catalogFacetList', CatalogFacetList)
	.component('catalogFilters', CatalogFilters)
	.component('catalogResults', CatalogResults)
	.component('catalogSubcategories', CatalogSubcategoriesComponent).name;
